Package com.avaya.clientservices.agent

## Class AgentFeature

- java.lang.Object
- - com.avaya.clientservices.agent.AgentFeature

-     public class AgentFeature
      extends java.lang.Object

  Represents the contact center agent feature or the feature button administered on the contact center solution.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentFeature()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AgentFeatureType` | `getAgentFeatureType()` | Returns the type of an agent future.
    `int` | `getAuxiliaryWorkModeReasonCode()` | Returns the reason code associated with the auxiliary work mode button if administered on signaling server.
    `int` | `getButtonLocation()` | Returns the button location for the agent feature.
    `int` | `getFormatNumber()` | Returns the format number associated with the view status (VuStats) feature button.
    `java.lang.String` | `getLabel()` | Returns the value of administered label for the agent feature button.
    `java.lang.String` | `getResourceId()` | Returns the resource is associated with the button.
    `int` | `getSkillId()` | Returns the hunt group/skill number associated with the queue.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentFeature

          public AgentFeature()

  - ### Method Detail

    - #### getButtonLocation

          public int getButtonLocation()

      Returns the button location for the agent feature.
      Returns:
        the button location for the agent feature.

    - #### getAgentFeatureType

          public AgentFeatureType getAgentFeatureType()

      Returns the type of an agent future.
      Returns:
        the type of an agent future.

    - #### getLabel

          public java.lang.String getLabel()

      Returns the value of administered label for the agent feature button.
      Returns:
        the value of administered label for the agent feature button.

    - #### getAuxiliaryWorkModeReasonCode

          public int getAuxiliaryWorkModeReasonCode()

      Returns the reason code associated with the auxiliary work mode button if administered on signaling server. If the reason code is not administered on signaling server then default value 0 is returned.
      Returns:
        the reason code associated with the auxiliary work mode button if administered on signaling server.

    - #### getSkillId

          public int getSkillId()

      Returns the hunt group/skill number associated with the queue.
      Returns:
        the hunt group/skill number associated with the queue.

    - #### getFormatNumber

          public int getFormatNumber()

      Returns the format number associated with the view status (VuStats) feature button.
      Returns:
        the format number associated with the view status (VuStats) feature button.

    - #### getResourceId

          public java.lang.String getResourceId()

      Returns the resource is associated with the button. It can be a skill (1-1000), a trunk (1-2000), a Vector Directory Number (VDN) or an agent id (extension).
      Returns:
        the resource is associated with the button.